This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 35275 - do *not* enable ssl in Samba
do *not* enable ssl in Samba
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-08 21:46 EDT by tridge
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-08 21:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description tridge 2001-04-08 21:46:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.4.2 i686)


The RedHat Samba binaries of Samba include ssl support. This is
a very bad idea. SSL support in Samba is an experimental option, and onlly
works with a very obscure client that implements a NFS/SMB gateway. There
are no generally used SSL enabled SMB clients or servers so enabling SSL
just causes Samba users to get nasty messages about certificates at
startup. No amount of certificate-foo will get them a SSL enabled SMB
connection to any Microsoft client or server.


Reproducible: Always
Steps to Reproduce:
1. look in spec file
2. laugh at the fact that someone must have seen SSL and immediately
thought "hey that must be good"
3.
Comment 1 Bill Nottingham 2001-04-08 23:46:40 EDT
Hey, I resemble that remark. :)

Will be fixed in the next build; 2.0.7-36 or so.
Comment 2 Bill Nottingham 2001-04-08 23:48:19 EDT
(make that -37)

Note You need to log in before you can comment on or make changes to this bug.